﻿Public Class Options

    Private Sub Options_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        MainWindow.Enabled = True
        MainWindow.Select()
    End Sub

    Private Sub Options_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ColGrid.BackColor = MainWindow.GridColor
        If MainWindow.ColorTraces = False Then
            ColTrace.BackColor = MainWindow.TraceColor
            ColTrace.Text = ""
        Else
            ColTrace.BackColor = Color.Black
            ColTrace.Text = "Use channel"
        End If
        If MainWindow.ColorChann = False Then
            ColChan.BackColor = MainWindow.ChanColor
            ColChan.Text = ""
        Else
            ColChan.BackColor = Color.Black
            ColChan.Text = "Use channel"
        End If
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        ApplySettings()
        Me.Hide()
        MainWindow.Enabled = True
        MainWindow.Select()
        MainWindow.RedrawMinimap()
        MainWindow.RedrawTraces()
        MainWindow.RedrawChan()
    End Sub

    Private Sub ApplySettings()
        MainWindow.GridColor = ColGrid.BackColor
        If ColTrace.Text = "" Then
            MainWindow.TraceColor = ColTrace.BackColor
            MainWindow.ColorTraces = False
        Else
            MainWindow.ColorTraces = True
        End If
        If ColChan.Text = "" Then
            MainWindow.ChanColor = ColChan.BackColor
            MainWindow.ColorChann = False
        Else
            MainWindow.ColorChann = True
        End If
    End Sub

    Private Sub ColTrace_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ColTrace.Click
        Dim Dialog As New ColorDialog()
        Dialog.Color = ColTrace.BackColor
        If (Dialog.ShowDialog() = DialogResult.OK) Then
            ColTrace.BackColor = Dialog.Color
            ColTrace.Text = ""
        Else
            ColTrace.Text = "Use channel"
            ColTrace.BackColor = Color.Black
        End If
    End Sub

    Private Sub ColChan_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ColChan.Click
        Dim Dialog As New ColorDialog()
        Dialog.Color = ColChan.BackColor
        If (Dialog.ShowDialog() = DialogResult.OK) Then
            ColChan.BackColor = Dialog.Color
            ColChan.Text = ""
        Else
            ColChan.Text = "Use channel"
            ColChan.BackColor = Color.Black
        End If
    End Sub

    Private Sub ColGrid_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ColGrid.Click
        Dim Dialog As New ColorDialog()
        Dialog.Color = ColGrid.BackColor
        If (Dialog.ShowDialog() = DialogResult.OK) Then
            ColGrid.BackColor = Dialog.Color
        End If
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Me.Hide()
        MainWindow.Enabled = True
        MainWindow.Select()
    End Sub
End Class